<?php require_once('function.php');

require 'pjjtextbase.php';

$users = ptb_connect('user.csv');

?>

<html>

<head>

<title><?php echo $ClientName; ?></title>



<!-- Metadata -->

<meta http-equiv="content-type" content="text/html; charset=UTF-8">

<meta name="viewport" content="user-scalable=no, width=device-width, initial-scale=1.0, maximum-scale=1.0" />

<meta name="apple-mobile-web-app-capable" content="yes" />

<meta name="apple-mobile-web-app-status-bar-style" content="black" />

<meta property="og:title" content="<?php echo $ClientName ?> App" />

<meta property="og:description" content="Download our smartphone app. Schedule reservations, check your flight status and weather reports and stay in touch with our customer service. Click on the link from your smartphone to download our app." />

<meta property="og:image" content="http://bestlimoapp.com/<?php echo $ClientCode ?>/customicon.png"/>



<!-- Stylesheets -->

<link rel="stylesheet" type="text/css" href="http://<?php echo $ClientURL ?>/<?php echo $ClientCode ?>/css/bartender.min.css" /> 

<link rel="apple-touch-icon" type="text/css"  href="http://bestlimoapp.com/<?php echo $ClientCode ?>/customicon2.png">

<link rel="apple-touch-icon-precomposed" type="text/css"  href="http://bestlimoapp.com/<?php echo $ClientCode ?>/customicon2.png">

<link rel="apple-touch-startup-image" type="text/css"  href="http://bestlimoapp.com/assets/startup.jpg" />

<link rel="stylesheet" href="http://code.jquery.com/mobile/1.4.5/jquery.mobile-1.4.5.min.css">

<link rel="stylesheet" type="text/css" href="http://<?php echo $ClientURL ?>/<?php echo $ClientCode ?>/css/mobiscroll.min.css" />









<!-- Scripts -->

<script type="text/javascript" src="http://maps.googleapis.com/maps/api/js?sensor=false&amp;libraries=places"></script>

<script src="http://code.jquery.com/jquery-1.11.1.min.js"></script>

<script src="http://code.jquery.com/mobile/1.4.5/jquery.mobile-1.4.5.min.js"></script>

<script type="text/javascript" src="http://<?php echo $ClientURL ?>/<?php echo $ClientCode ?>/js/mobiscroll.min.js"></script>

<script type="text/javascript" src="http://<?php echo $ClientURL ?>/<?php echo $ClientCode ?>/js/jquery.geocomplete.js"></script>



<script type="text/javascript">

	var directionsDisplay;

	var directionsService;

	var service;

	var gmap;

	var Lat;

	var Lng;

	

      function initialize() {

		  directionsService = new google.maps.DirectionsService();

		  directionsDisplay = new google.maps.DirectionsRenderer();

		  var mapOptions = {

			zoom: 16,

			center: new google.maps.LatLng(Lat, Lng),

			mapTypeId: google.maps.MapTypeId.ROADMAP

		  }

		  gmap = new google.maps.Map(document.getElementById("map_canvas"), mapOptions);

		  directionsDisplay.setMap(gmap);

		  var myLatlng = new google.maps.LatLng(Lat,Lng);

		  var marker = new google.maps.Marker({

				position: myLatlng,

				map: gmap

			});

	}

	

	function calcRoute() {

		  var start = document.getElementById('quotesource').value;

		  var end = document.getElementById('quotedest').value;

		  var request = {

			  origin:start,

			  destination:end,

			  travelMode: google.maps.DirectionsTravelMode.DRIVING

		  };

		  directionsService.route(request, function(response, status) {

			if (status == google.maps.DirectionsStatus.OK) {

			  directionsDisplay.setDirections(response);

			  calculateDistances();

			}

			else{

				var outputDiv = document.getElementById('outputDiv');

				outputDiv.innerHTML = "Google Map could not be created for the entered parameters. Please be specific while providing the destination location.";

				outputDiv.style.display="block";

				var buttonDiv = document.getElementById('buttonDiv');

				buttonDiv.style.display="none";

			}

		  });

	}

	

	function calculateDistances() {

	  var service = new google.maps.DistanceMatrixService();

	  var start = document.getElementById('quotesource').value;

	  var end = document.getElementById('quotedest').value;



	  service.getDistanceMatrix(

		{

		  origins: [start],

		  destinations: [end],

		  travelMode: google.maps.TravelMode.DRIVING,

		  unitSystem: google.maps.UnitSystem.IMPERIAL,

		  avoidHighways: false,

		  avoidTolls: false

		}, callback);

	}

	

	function callback(response, status) {

	  if (status != google.maps.DistanceMatrixStatus.OK) {

		alert('Error was: ' + status);

	  } else {

		var origins = response.originAddresses;

		var destinations = response.destinationAddresses;

		var outputDiv = document.getElementById('outputDiv');

		outputDiv.innerHTML = '';

		var results = response.rows[0].elements;

		outputDiv.innerHTML = "Distance between <i>"+document.getElementById('quotesource').value +"</i> and <i>" +document.getElementById('quotedest').value +"</i> is <b>" + results[0].distance.text + "</b>";

		outputDiv.style.display="block";

		

		var distance = results[0].distance.text;

		

		

		$.ajax({

		  type: "POST",

		  url: "calculateQuote.php",

		  data: { distance: distance}

		}).done(function( msg ) {

			var price = parseInt(msg);

			var resultsDiv = document.getElementById('resultsDiv');

			if(price != 0){

				resultsDiv.innerHTML = "Estimated payment: <strong> $"+price+"</strong>...";

				resultsDiv.style.display="block";

				var buttonDiv = document.getElementById('buttonDiv');

				buttonDiv.style.display="block";

				$("#quotePriceHidden").val(price);

			}

			else{

				resultsDiv.innerHTML = "Charge cannot be calculated at this time. Please contact our Sales Department.";

			}

		});

	  }

	}

	



	function loadScript() {

		var script = document.createElement("script");

		script.type = "text/javascript";

		script.src = "http://maps.googleapis.com/maps/api/js?key=AIzaSyDKjKMRop4miVf8e5twlR4sI4tdLRyi-DE&sensor=false&callback=initialize";

		document.body.appendChild(script);

	}



window.onload = loadScript;

</script>



<script type="text/javascript">

	if ('standalone' in navigator && !navigator.standalone && (/iphone|ipod|ipad/gi).test(navigator.platform) && (/Safari/i).test(navigator.appVersion)) {

		document.write('<link rel="stylesheet" href="http://bestserviceapp.com/assets/add2home.css">');

		document.write('<script type="application/javascript" src="http://bestlimoapp.com/assets/add2home.js"><\/script>');

	}



	var _gaq = _gaq || [];

	_gaq.push(['_setAccount', 'UA-25733535-1']);

	_gaq.push(['_trackPageview']);

 

	(function() {

		var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;

		ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';

		var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);

	})();

</script>





<script type='text/javascript'>

	$(function() {

		setTimeout(hideSplash, 4000);

	});

	

	function hideSplash() {

		$(':mobile-pagecontainer').pagecontainer('change', '#home', {

			transition: 'fade',

			changeHash: false

		});

	}

</script>

<style>

.ui-footer{

	border: none;

    background: #000;

}

</style>

</head>

<body>



	<!--Splash page -->

	<div data-role="page" data-theme="d" id="splash"> 

		<div class="splash">

			<center><img src="startup.jpg"></center>

		</div>

	</div>

	

	

	<!--Main page -->

	

		<div data-role="page" data-theme="a" id="home" style="background: transparent url(background.jpg)"> 

		<center><img src="logo.png"></center>

		<div data-role="content">

               <center>

                  <a href="#toAirport" data-transition="slide"><img src="http://<?php echo $ClientURL ?>/<?php echo $ClientCode ?>/tile14.png" id="tile14" /></a>.<a href="#fromAirport" data-transition="slide"><img src="http://<?php echo $ClientURL ?>/<?php echo $ClientCode ?>/tile16.png" id="tile16"/></a><br />

                  <a href="#inTown" data-transition="slide"><img src="http://<?php echo $ClientURL ?>/<?php echo $ClientCode ?>/tile20.png" id="tile20" /></a>.<a href="http://<?php echo $ClientURL ?>/<?php echo $ClientCode ?>/dbase.php#quote" onClick="ResetFields() data-transition="slide"><img src="http://<?php echo $ClientURL ?>/<?php echo $ClientCode ?>/tile22.png" id="tile22"/></a><br />

				  <a href="tel:<?php echo $ClientPhone ?>"><img src="http://<?php echo $ClientURL ?>/<?php echo $ClientCode ?>/tile26.png" id="tile26" /></a>.<a href="sms:<?php echo $Clientsms ?>"><img src="http://<?php echo $ClientURL ?>/<?php echo $ClientCode ?>/tile30.png" id="tile30"/></a><br />

                  <a href="http://<?php echo $ClientURL ?>/<?php echo $ClientCode ?>/smsmobile.php" data-transition="slide"><img src="http://<?php echo $ClientURL ?>/<?php echo $ClientCode ?>/tile24.png"></a>.<a href="#more" data-transition="slide"><img src="http://<?php echo $ClientURL ?>/<?php echo $ClientCode ?>/tile28.png"></a><br>

               </center>

            </div>

		<div class="ui-footer ui-bar-a ui-fixed-inline">

			<div class="ui-navbar comboSprite">

				<ul class="apple-navbar-ui ui-grid-d">

					<li class="ui-block-a"><a href="http://m.weather.com/right_now/<?php echo $Clientzip ?>" data-icon="features" class="ui-btn"><span class="ui-btn-inner"><span class="ui-btn-text">Weather</span><span class="ui-icon"></span></span></a></li>

					<li class="ui-block-c"><a href="http://www.flightaware.com" data-icon="fees" class="ui-btn"><span class="ui-btn-inner"><span class="ui-btn-text">Flights</span><span class="ui-icon"></span></span></a></li>

					<li class="ui-block-b"><a href="http://www.facebook.com/sharer.php?u=http://<?php echo $ClientURL ?>/<?php echo $ClientCode ?>/index.php&t=<?php echo $ClientName ?>" data-icon="brands" class="ui-btn"><span class="ui-btn-inner"><span class="ui-btn-text">Share</span><span class="ui-icon"></span></span></a></li>

					<li class="ui-block-d"><a href="tel:<?php echo $ClientPhone ?>" data-icon="contact" class="ui-btn"><span class="ui-btn-inner"><span class="ui-btn-text">Call</span><span class="ui-icon"></span></span></a></li>

					<li class="ui-block-e"><a href="mailto:<?php echo $Clientemail ?>?subject=Smartphone customer service inquiry" data-icon="about" class="ui-btn"><span class="ui-btn-inner"><span class="ui-btn-text">Email</span><span class="ui-icon"></span></span></a></li>

				</ul>

			</div>

		</div>

	</div>

	

	<!--Reservation page To Airport-->

	<div data-role="page" data-theme="a" id="toAirport">

        <div data-role="header" data-theme="b" data-fullscreen="true">

			<a href="#home" data-icon="back" data-role="button">Back</a>

			<h1>Reservations</h1>

        </div>

		<div data-role="content">

			<form id="submit1" method="POST" data-ajax="false" action="http://<?php echo $ClientURL ?>/<?php echo $ClientCode ?>/toAirport.php" data-formtype="toAirport" class="storage">

				<div data-role="fieldcontain">

					<label for="senderName">Name<sup>*</sup></label>

					<input type="text" name="senderName" id="senderName" value="" class="formField required" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="senderAddress">Address</label>

					<textarea rows="8" name="senderAddress" id="senderAddress" class="formField"></textarea><br>

				</div>

				<div data-role="fieldcontain">

					<label for="senderEmail">E-mail<sup>*</sup></label>

					<input type="email" name="senderEmail" id="senderEmail" value="" class="formField required" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="senderPhone">Phone number<sup>*</sup></label>

					<input type="tel" name="senderPhone" id="senderPhone" value="" class="formField required" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="bookingDate">Pickup date<sup>*</sup></label>

					<input type="text" name="bookingDate" id="bookingDate" value="" class="formField required pudate" /><br>

					</div>

				<div data-role="fieldcontain">

					<label for="bookingTime">Pickup time<sup>*</sup></label>

					<input type="text" name="bookingTime" id="bookingTime" value="" class="formField required putime" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="origin">Pick-up location<sup>*</sup></label>

					<input type="text" name="origin" id="origin" value="" class="formField required geocomplete" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="destination">Drop-off location<sup>*</sup></label>

					<select name="destination" id="destination" class="formField required">

						<?php

						foreach ($AirportList as $Airport) {

							echo "<option value = '".$Airport."'>".$Airport."</option>";

						}

						?>

					</select><br>

				</div>

				<div data-role="fieldcontain">

					<label for="airline">Airline and Flight No.</label>

					<input type="text" name="airline" id="airline" value="" class="formField" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="noofpass">No. of Passengers</label>

					<input type="number" name="noofpass" id="noofpass" value="" class="formField" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="noofbags">No. of Bags</label>

					<input type="number" name="noofbags" id="noofbags" value="" class="formField" /><br>

				</div>

				<div data-role="fieldcontain" data-inline="false">

					<label for="comments">Comments or Other Location</label>

					<textarea rows="8" name="comments" id="comments" class="formField"></textarea><br>

				</div>

				<input type="submit" name="sendMessage" id="sendMessage" onclick="return validateForm(this.form);" value="Send Booking Request">

			</form>

		</div>

    </div>

	

	<!--Reservation page From Airport-->

	<div data-role="page" data-theme="a" id="fromAirport">

        <div data-role="header" data-theme="b" data-fullscreen="true">

			<a href="#home"  data-icon="back" data-role="button">Back</a>

			<h1>Reservations</h1>

        </div>

		<div data-role="content">

			<form id="submit2" method="POST" data-ajax="false" action="http://<?php echo $ClientURL ?>/<?php echo $ClientCode ?>/fromAirport.php" data-formtype="fromAirport" class="storage">

				<div data-role="fieldcontain">

					<label for="senderName">Name<sup>*</sup></label>

					<input type="text" name="senderName" id="senderName" value="" class="formField required" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="senderAddress">Address</label>

					<textarea rows="8" name="senderAddress" id="senderAddress" class="formField"></textarea><br>

				</div>

				<div data-role="fieldcontain">

					<label for="senderEmail">E-mail<sup>*</sup></label>

					<input type="email" name="senderEmail" id="senderEmail" value="" class="formField required" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="senderPhone">Phone number<sup>*</sup></label>

					<input type="tel" name="senderPhone" id="senderPhone" value="" class="formField required" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="bookingDate">Pickup date<sup>*</sup></label>

					<input type="text" name="bookingDate" id="bookingDate" value="" class="formField required pudate" /><br>

					</div>

				<div data-role="fieldcontain">

					<label for="bookingTime">Pickup time<sup>*</sup></label>

					<input type="text" name="bookingTime" id="bookingTime" value="" class="formField required putime" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="origin">Pick-up location<sup>*</sup></label>

					<select name="origin" id="origin" class="formField required">

						<?php

						foreach ($AirportList as $Airport) {

							echo "<option value = '".$Airport."'>".$Airport."</option>";

						}

						?>

					</select><br>

				</div>

				<div data-role="fieldcontain">

					<label for="destination">Drop-off location<sup>*</sup></label>

					<input type="text" name="destination" id="destination" value="" class="formField required geocomplete" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="airline">Airline and Flight No.</label>

					<input type="text" name="airline" id="airline" value="" class="formField" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="noofpass">No. of Passengers</label>

					<input type="number" name="noofpass" id="noofpass" value="" class="formField" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="noofbags">No. of Bags</label>

					<input type="number" name="noofbags" id="noofbags" value="" class="formField" /><br>

				</div>

				<div data-role="fieldcontain" data-inline="false">

					<label for="comments">Comments or Other Location</label>

					<textarea rows="8" name="comments" id="comments" class="formField"></textarea><br>

				</div>

				<input type="submit" name="sendMessage" id="sendMessage" onclick="return validateForm(this.form);" value="Send Booking Request">

			</form>

		</div>

    </div>

	

	<!--Reservation page In Town -->

	<div data-role="page" data-theme="a" id="inTown">

        <div data-role="header" data-theme="b" data-fullscreen="true">

			<a href="#home"  data-icon="back" data-role="button">Back</a>

			<h1>Reservations</h1>

        </div>

		<div data-role="content">

			<form id="submit3" method="POST" data-ajax="false" action="http://<?php echo $ClientURL ?>/<?php echo $ClientCode ?>/inTown.php" data-formtype="inTown" class="storage">

				<div data-role="fieldcontain">

					<label for="senderName">Name<sup>*</sup></label>

					<input type="text" name="senderName" id="senderName" value="" class="formField required" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="senderAddress">Address</label>

					<textarea rows="8" name="senderAddress" id="senderAddress" class="formField"></textarea><br>

				</div>

				<div data-role="fieldcontain">

					<label for="senderEmail">E-mail<sup>*</sup></label>

					<input type="email" name="senderEmail" id="senderEmail" value="" class="formField required" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="senderPhone">Phone number<sup>*</sup></label>

					<input type="tel" name="senderPhone" id="senderPhone" value="" class="formField required" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="bookingDate">Pickup date<sup>*</sup></label>

					<input type="text" name="bookingDate" id="bookingDate" value="" class="formField required pudate" /><br>

					</div>

				<div data-role="fieldcontain">

					<label for="bookingTime">Pickup time<sup>*</sup></label>

					<input type="text" name="bookingTime" id="bookingTime" value="" class="formField required putime" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="origin">Pick-up location<sup>*</sup></label>

					<input type="text" name="origin" id="origin" value="" class="formField required geocomplete" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="destination">Drop-off location<sup>*</sup></label>

					<input type="text" name="destination" id="destination" value="" class="formField required geocomplete" /><br>

				</div>

				<div data-role="fieldcontain" data-inline="false">

					<label for="comments">Comments or Other Location</label>

					<textarea rows="8" name="comments" id="comments" class="formField"></textarea><br>

				</div>

				<input type="submit" name="sendMessage" id="sendMessage" onclick="return validateForm(this.form);" value="Send Booking Request">

			</form>

		</div>

    </div>

	

	

	<!--Status Page-->

	<div data-role="page" data-theme="a" id="status">

		<div data-role="header" data-theme="b" data-fullscreen="true">

			<a href="#more"  data-icon="back" data-role="button">Back</a>

            <h1>My Status</h1>

        </div>

		<div data-role="content">

			<form id="submit4" method="post" data-ajax="false" action="http://<?php echo $ClientURL ?>/<?php echo $ClientCode ?>/statusform.php">

				<div data-role="fieldcontain">

					<label for="senderName">Name<sup>*</sup></label>

					<input type="text" name="senderName" id="senderName" value="" class="formField required" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="senderEmail">E-mail<sup>*</sup></label>

					<input type="email" name="senderEmail" id="senderEmail" value="" class="formField required" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="senderPhone">Phone number<sup>*</sup></label>

					<input type="tel" name="senderPhone" id="senderPhone" value="" class="formField required" /><br>

				</div>

				<div data-role="fieldcontain">       

					<label for="senderStatus">My Status</label>

					<select name="senderStatus" id="senderStatus" class="formField">

						<option value="I am ready for pickup">I am ready for pickup</option>

						<option value="I am in customs">I am in customs</option>

						<option value="I am waiting for luggage">I am waiting for luggage</option>

						<option value="Running 10 minutes late">Running 10 minutes late</option>

						<option value="Running 15 minutes late">Running 15 minutes late</option>

						<option value="Running 20 minutes late">Running 20 minutes late</option>

						<option value="Running 25 minutes late">Running 25 minutes late</option>

						<option value="Running 30 minutes late">Running 30 minutes late</option>

						<option value="Other (see comments)">Other (see comments)</option>

					</select>

				</div>

				<div data-role="fieldcontain">

					<label for="comments">Comments</label>

					<textarea rows="8" name="comments" id="comments" class="formField"></textarea><br>

				</div>

				<input type="submit" name="sendMessage" id="sendMessage" onclick="return validateForm(this.form);" value="Send message">

			</form>

		</div> 

	</div>

	

	<!-- More Page-->

	<div data-role="page" data-theme="a" id="more"> 

		<div data-role="header" data-theme="b" data-backbtn="false" data-theme="b">

			<a href="#home" data-theme="b" data-icon="back" data-role="button">Back</a>

			<h1><?php echo $Shorten ?></h1>

		</div>

		<div data-role="content">

		<br>

			<ul data-role="listview" data-theme="b" data-inset="true" data-theme="<?php echo $Button ?>" style="opacity:1;">

				<li><a href="#register" data-transition="slide" onClick="PopulateProfilePage()">Register</a></li>

				<li><a href="#history" data-transition="slide" onClick="PopulateHistory()">Reservation History</a></li>

				<li><a href="#status" data-transition="slide">Status Notification</a></li>

				<li><a href="#feedback" data-transition="slide">Driver Feedback</a></li>

                <li><a href="#aboutus" data-transition="slide">About Us</a></li>

				

            </ul>

			<br><br><br>

		</div>

		<div class="ui-footer ui-bar-a ui-fixed-inline">

			<div class="ui-navbar comboSprite">

				<ul class="apple-navbar-ui ui-grid-d">

					<li class="ui-block-a"><a href="http://m.weather.com/right_now/<?php echo $Clientzip ?>" data-icon="features" class="ui-btn"><span class="ui-btn-inner"><span class="ui-btn-text">Weather</span><span class="ui-icon"></span></span></a></li>

					<li class="ui-block-c"><a href="http://www.flightaware.com" data-icon="fees" class="ui-btn"><span class="ui-btn-inner"><span class="ui-btn-text">Flights</span><span class="ui-icon"></span></span></a></li>

					<li class="ui-block-b"><a href="http://www.facebook.com/sharer.php?u=http://<?php echo $ClientURL ?>/<?php echo $ClientCode ?>/index.php&t=<?php echo $ClientName ?>" data-icon="brands" class="ui-btn"><span class="ui-btn-inner"><span class="ui-btn-text">Share</span><span class="ui-icon"></span></span></a></li>

					<li class="ui-block-d"><a href="tel:<?php echo $ClientPhone ?>" data-icon="contact" class="ui-btn"><span class="ui-btn-inner"><span class="ui-btn-text">Call</span><span class="ui-icon"></span></span></a></li>

					<li class="ui-block-e"><a href="mailto:<?php echo $Clientemail ?>?subject=Smartphone customer service inquiry" data-icon="about" class="ui-btn"><span class="ui-btn-inner"><span class="ui-btn-text">Email</span><span class="ui-icon"></span></span></a></li>

				</ul>

			</div>

		</div>

	</div>



	<!-- Registration Page / Profile Page -->

	<div data-role="page" data-theme="a" id="register">

        <div data-theme="b" data-role="header" data-fullscreen="true">

		

			<a href="#more"  data-icon="back" data-role="button" data-theme="b" id="backButtonProfile">Back</a>

			<h1>Register</h1>

        </div>

		<div data-role="content">

			<form id="submit" method="POST" data-ajax="false" action="#home">

				<div data-role="fieldcontain">

					<label for="customerFirstName">First Name<sup>*</sup></label>

					<input type="text" name="customerFirstName" id="customerFirstName" value="" class="formField required" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="customerLastName">Last Name<sup>*</sup></label>

					<input type="text" name="customerLastName" id="customerLastName" value="" class="formField required" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="customerEmail">Email<sup>*</sup></label>

					<input type="text" name="customerEmail" id="customerEmail" value="" class="formField required" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="customerPhoneNumber">Phone Number<sup>*</sup></label>

					<input type="text" name="customerPhoneNumber" id="customerPhoneNumber" value="" class="formField required" /><br>

				</div>

				<input type="submit" name="customerRegister" id="customerRegister" onclick="return validateRegistrationForm(this.form);" value="Register">

			</form>

		</div>

    </div>

	

	<!-- Quote Tool-->

	<div data-role="page" data-theme="a" id="quote" data-cache="false">

		<div data-theme="b" data-role="header">

			<a href="#home"  data-icon="back" data-role="button">Back</a>

			<h3>Quote Tool</h3>

		</div>

		<div data-role="content">

			<div id="map_canvas" style="height:180px;"></div>

			<div data-role="fieldcontain">

				<label for="quotesource">From</label>

				<input name="source" id="quotesource" value="" type="text" class="geocomplete" data-mini="true">

			</div>

			<div data-role="fieldcontain">

				<label for="quotedest">To</label>

				<input name="dest" id="quotedest" class="geocomplete" value="" type="text" data-mini="true">

			</div>

			<input type="hidden" id="quotePriceHidden" name="quotePriceHidden" />

			<input type="submit" id="submit" onclick="calcRoute();" data-theme="a" value="Get Quote" data-mini="true"><br/>

			<div id="outputDiv" style="display:none;"></div><br/>

			<div id="resultsDiv" style="display:none;"></div><br/>

			<div id="buttonDiv" style="display:none;">

				<center><label>Do you wish to make the reservation?</label></center><br/>

				<a href="#fromQuote" data-role="button" data-transition="slide" onclick="QuotePopulateForm(document.getElementById('quotesource').value,document.getElementById('quotedest').value,document.getElementById('quotePriceHidden').value);">Yes</a>&nbsp;&nbsp;

				<a href="#home" data-role="button" data-transition="slide">No</a>

			</div>

		</div>

	</div>

	

	

	<!--From Quote Page-->

	<div data-role="page" data-theme="a" id="fromQuote">

        <div data-role="header" data-theme="b" data-fullscreen="true">

			<a href="#quote"  data-icon="back" data-role="button">Back</a>

			<h1>Reservation</h1>

        </div>

		<div data-role="content">

			<form id="submit5" method="POST" data-ajax="false" action="http://<?php echo $ClientURL ?>/<?php echo $ClientCode ?>/fromQuote.php" data-formtype="fromQuote" class="storage">

				<div data-role="fieldcontain">

					<label for="senderName">Name<sup>*</sup></label>

					<input type="text" name="senderName" id="senderName" value="" class="formField required" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="senderEmail">E-mail<sup>*</sup></label>

					<input type="email" name="senderEmail" id="senderEmail" value="" class="formField required" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="senderPhone">Phone number<sup>*</sup></label>

					<input type="tel" name="senderPhone" id="senderPhone" value="" class="formField required" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="bookingDate">Pickup date<sup>*</sup></label>

					<input type="text" name="bookingDate" id="bookingDate" value="" class="formField required pudate" /><br>

					</div>

				<div data-role="fieldcontain">

					<label for="bookingTime">Pickup time<sup>*</sup></label>

					<input type="text" name="bookingTime" id="bookingTime" value="" class="formField required putime" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="fromquote_paddress">Pick-up Location</label>

					<input type="text" name="fromquote_paddress" id="fromquote_paddress" value="" class="formField" readonly/>

				</div>

				<div data-role="fieldcontain">

					<label for="fromquote_daddress">Drop-off location</label>

					<input type="text" name="fromquote_daddress" id="fromquote_daddress" value="" class="formField" readonly/>

				</div>

				

				<div data-role="fieldcontain">

					<label for="quotePrice">Price</label>

					<input type="text" name="quotePrice" id="quotePrice" value="" class="formField" readonly/><br>

				</div>

				<input type="submit" name="sendMessage" id="sendMessage" onclick="return validateForm(this.form);" value="Send Booking Request">

			</form>

		</div>

    </div>

	

	

	<!--History page -->

 <div data-role="page" id="history" data-theme="a" >

        <div data-role="header" data-theme="b">

			<a href="#more"  data-theme="b" data-icon="back" data-role="button">Back</a>

            <h1>Travel History</h1>

        </div>

		<div data-role="content">

		<center>

			Make another reservation without typing. Click on any of your old reservations and simply change your date/time.<br>

		</center>

        <div id="divList"></div>

        </div>

	</div>

	

	<!--About us page -->

    <div data-role="page" id="aboutus" data-theme="a" >

        <div data-role="header" data-theme="b">

			<a href="#more"  data-icon="back" data-role="button">Back</a>

            <h1>About us</h1>

        </div>

		<div data-role="content">

		<center>

			<?php

				$user = ptb_select($users, "'id' == 4");

				$user = $user[0];

				echo $user['description'];

			?>

		</center><br>

        </div>

	</div>

	

	<!--Coupons page-->

	<div data-role="page" id="coupons" data-theme="a" >

        <div data-role="header" data-theme="b">

			<a href="#more"  data-icon="back" data-role="button">Back</a>

            <h1>Coupons</h1>

        </div>

		<div data-role="content">

			<center>

				<?php

					$user = ptb_select($users, "'id' == 5");

					$user = $user[0];

					echo $user['description'];

				?>

			</center><br>

        </div>

	</div>

	

	<!-- Feedback Page -->

	<div data-role="page" data-theme="a" id="feedback">

        <div data-role="header" data-theme="b" data-fullscreen="true">

			<a href="#more"  data-icon="back" data-role="button">Back</a>

            <h1>Feedback</h1>

        </div>

		<div data-role="content">

			<form id="submit5" method="post" data-ajax="false" action="http://<?php echo $ClientURL ?>/<?php echo $ClientCode ?>/feedback.php">

				<div data-role="fieldcontain">

					<label for="senderName">Name<sup>*</sup></label>

					<input type="text" name="senderName" id="senderName" value="" class="formField required" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="senderEmail">E-mail<sup>*</sup></label>

					<input type="email" name="senderEmail" id="senderEmail" value="" class="formField required" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="senderPhone">Phone number<sup>*</sup></label>

					<input type="tel" name="senderPhone" id="senderPhone" value="" class="formField required" /><br>

				</div>

				<div data-role="fieldcontain">

					<label for="driverRating">Rate your driver</label>

					<select name="driverRating" id="driverRating" class="formField">

						<option value="Excellent">Excellent</option>

						<option value="Above Average">Above Average</option>

						<option value="Average">Average</option>

						<option value="Below Average">Below Average</option>

						<option value="Poor">Poor</option>

					</select><br>

				</div>

				<div data-role="fieldcontain">

					<label for="driverName">Driver's name<sup>*</sup></label>

					<input type="text" name="driverName" id="driverName" value="" class="formField required" /><br>

				</div>

				<div data-role="fieldcontain" data-inline="false">

					<label for="comments">Comments</label>

					<textarea rows="8" name="comments" id="comments" class="formField"></textarea><br>

				</div>

				<input type="submit" name="sendMessage" id="sendMessage" onclick="return validateForm(this.form);" value="Send message">

			</form>

		</div>

	</div>

	

	

	<!--Success page -->

    <div data-role="page" data-theme="b"  id="successPage">

        <div data-role="header">

			<a href="#home" data-icon="back" data-role="button">Back</a>

            <h1>Reservations</h1>

        </div>

		<div data-role="content">

			<center>

				<br><br><br><br><br> 

				<p>

					<h2>Thanks!</h2><br>

					<?php

					$user = ptb_select($users, "'id' == 6");

						$user = $user[0];

						echo $user['description'];

					?>

				</p>

			</center>

        </div>

	</div>

	

	<!--Status Success page -->

    <div data-role="page" data-theme="b"  id="statusSuccessPage">

        <div data-role="header">

			<a href="#home" data-icon="back" data-role="button">Back</a>

            <h1>Reservations</h1>

        </div>

		<div data-role="content">

			<center>

				<br><br><br><br><br> 

				<p>

					<h2>Thanks!</h2><br>

					Your message has been received.

				</p>

			</center>

        </div>

	</div>

	

	<!--Failure page -->

    <div data-role="page" data-theme="b"  id="failurePage">

        <div data-role="header">

			<a href="#home" data-icon="back" data-role="button">Back</a>

            <h1>Reservations</h1>

        </div>

		<div data-role="content">

			<center>

				<br><br><br><br><br> 

				<p>

					<h2>Sorry!</h2><br>

					There was a problem sending your message. Please make sure you fill in all the fields in the form.

				</p>

			</center>

        </div>

	</div>

	

	

	<!--Scripts Section -->

	<script type="text/javascript">

		flag = 1;

		client_key = "<?php echo $ClientCode; ?>";

		key = "";

	

		if(navigator.geolocation) {

			var fallback = setTimeout(function() { console.log('10 seconds expired'); }, 10000);

			navigator.geolocation.getCurrentPosition(

				function (pos) {

					clearTimeout(fallback);

					var point = new google.maps.LatLng(pos.coords.latitude, pos.coords.longitude);

					Lat = pos.coords.latitude;

					Lng = pos.coords.longitude;

					new google.maps.Geocoder().geocode({'latLng': point}, function (res, status) {

						if(status == google.maps.GeocoderStatus.OK && typeof res[0] !== 'undefined') {

							$("#quotesource").val(res[0].formatted_address);

							//Show marker on google map

						} else {

							console.log('Failed to reverse');

						}

					});

				}, function(err) {

					console.log(err.message);

				}

			);

		} else {

			console.log('Geolocation unsupported!');

		}

	

		$(document).ready(function () {

			$(".pudate").scroller({

				preset: 'date',

				theme: 'jqm',

				display: 'modal',

				mode: 'scroller',

				dateOrder: 'mmddyy',

				dateFormat: 'mm-dd-yyyy'

			});

				

			$(".putime").scroller({

				preset: 'time',

				theme: 'jqm',

				display: 'modal',

				mode: 'scroller',

				timeFormat : 'hh:ii A'

			});

			

			$(".geocomplete").geocomplete();

			

			$("form.storage").submit(function () {

				var str = $(this).data('formtype');

				var array = new Array();

				var form = $("form[data-formtype='"+str+"']");

				array[0] = str;

				array[1] = form.find("#senderName").val();

				array[2] = form.find("#senderAddress").val();

				array[3] = form.find("#senderEmail").val();

				array[4] = form.find("#senderPhone").val();

				array[5] = form.find("#origin").val().replace(/\,/g, '+');

				array[6] = form.find("#destination").val().replace(/\,/g, '+');

				

				key = form.find("#bookingDate").val() +" " + form.find("#bookingTime").val();

				

				if (localStorage.getItem(client_key))

                    localStorage.setItem(client_key, localStorage.getItem(client_key) + ',' + key);

                else

                    localStorage.setItem(client_key, key);



				localStorage.setItem(key, array);

				

			});

		});

		

		function validateForm(formObj){

			validated = true;

			object = "";

			$(formObj).find(":input.required").each(function(){

				  if($(this).val().length == 0){

						validated = false;

						object = $(this);

						return false;

					}

				});

			if(!validated){

				object.focus();

				return false;

			}

			else{

				return true;

			}

		}

		

		function PopulateHistory() {

			if (localStorage.getItem(client_key)) {

				var ar = localStorage.getItem(client_key).split(',');

				ar.reverse();

				var page = "";

				var ul = '<ul data-role="listview" data-inset="true" id="historyList">';

				for (var i = 0; i < ar.length && i < 5; i++) {

					page = localStorage.getItem(ar[i]).split(',');

					ul += "<li><a href='#"+ page[0] +"' data-transition='slide' onClick='PopulateForm("+ i +")'>" + ar[i] + "</a></li>";

				}

				ul += '   </ul>';

				$('#divList').html(ul);

				if(flag == 1){

					flag = 0;

					$("#divList ul").listview('refresh');

				}

				else{

					$("#divList ul").listview();

				}

			}

		}

		

		function PopulateForm(data_index){

			var ar = localStorage.getItem(client_key).split(',');

			ar.reverse();

			data_key = ar[data_index];

			var data = localStorage.getItem(data_key).split(',');

			var form = $("form[data-formtype='"+data[0]+"']");

			form.find("#senderName").val(data[1]);

			form.find("#senderAddress").val(data[2]);

			form.find("#senderEmail").val(data[3]);

			form.find("#senderPhone").val(data[4]);

		

			if(data[0] == "toAirport"){

				form.find("#origin").val(data[5].replace(/\+/g, ','));

				form.find("#destination").selectmenu();

				form.find("#destination").val(data[6].replace(/\+/g, ','));

				form.find("#destination").selectmenu('refresh', true);

			}

			else if(data[0] == "fromAirport"){

				form.find("#destination").val(data[6].replace(/\+/g, ','));

				form.find("#origin").selectmenu();

				form.find("#origin").val(data[5].replace(/\+/g, ','));

				form.find("#origin").selectmenu('refresh', true);

			}

			else if(data[0] == "inTown"){

				form.find("#origin").val(data[5].replace(/\+/g, ','));

				form.find("#destination").val(data[6].replace(/\+/g, ','));

			}

		

		}

		

		function QuotePopulateForm(src,dest,price,vehicle){

			//price = price.substring(price.indexOf("$")+1);

			jQuery('#fromquote_paddress').val(src);

			jQuery('#fromquote_daddress').val(dest);

			jQuery('#quotePrice').val(price);

			jQuery('#vehicletype').val(vehicle);

		}

		

		function ResetFields(){

			$('#quotesource').val('');

			$('#quotedest').val('');

			$('#quotePriceHidden').val('');

			$('#outputDiv').css('display','none');

			$('#resultsDiv').css('display','none');

			$('#buttonDiv').css('display','none');

		}

		

		function validateRegistrationForm(formObj){

			

			validated = true;

			object = "";

			$(formObj).find(":input.required").each(function(){

				if($(this).val().length == 0){

					validated = false;

					object = $(this);

					return false;

				}

			});

			if(!validated){

				object.focus();

				return false;

			}

			else{

				//Store in local storage

				var customerObject = { 

					'firstname': $("#customerFirstName").val(), 

					'lastname': $("#customerLastName").val(),

					'email': $("#customerEmail").val(),

					'phonenumber': $("#customerPhoneNumber").val()

				};

				localStorage.setItem(client_key+'_reg', JSON.stringify(customerObject));

				$.ajax({

					type: "POST",

					url: "register.php",

					data: { firstname: $("#customerFirstName").val(), lastname: $("#customerLastName").val(),

					cellphone: $("#customerPhoneNumber").val(), email: $("#customerEmail").val() }

				}).done(function( msg ) {

					console.log(msg);

					return true;

				});

			}

		}

		

		function getRegistrationStatus(){

			if (localStorage.getItem(client_key+'_reg'))

				return true;

			return false;

		}

		

		function PopulateProfilePage(){

			

			if(getRegistrationStatus()){

				$("#backButtonProfile").css("display","");

				var customerObject = JSON.parse(localStorage.getItem(client_key+'_reg'));			

				$("#customerFirstName").val(customerObject.firstname);

				$("#customerLastName").val(customerObject.lastname);

				$("#customerEmail").val(customerObject.email);

				$("#customerPhoneNumber").val(customerObject.phonenumber);

			}

			

		}

		

	</script>

	

</body>

</html>